宝塔linux面板添加php5.2,部署安装织梦cms源码

最近有客户向我咨询,他的站点是老版本的织梦cms,需要php5.2,但他的宝塔面板怎么不能添加php5.2 。遇到这个问题,我也到宝塔面板官网查询,发现宝塔面板支持php5.2-7.1各个版本。最后远程发现,客户安装的web服务器是Apache2.4,不支持php5.2的安装。

远程,帮客户处理,在Apache设置中 更换版本为2.2,之后,发现可以安装php5.2了。 以为大功告成的时候,发现php各个版本不能共存,但客户又同时需要php5.2及php5.5。再次卸载,Apache2.2,安装Nginx,选了Nginx -Tengine2.2,安装好之后,发现正常使用。

后经测试,Nginx各个版本(1.12,1.8,Tengine2.2)均支持php5.2版本,及各个版本共存,而Apache2,2支持php5.2版本,但不支持各个版本共存,Apache2.4支持php版本共存,但支持php5.3及以上版本。


下面就介绍如何在宝塔面板中安装php5.2 。

1、宝塔面板中如何安装php5.2

登陆的默认网址是:http://您的服务器IP:8888,输入 用户名及密码即可登陆

宝塔linux面板安装php5.2.png

在软件管理中找到,Nginx、Apache等web服务器软件,安装Nginx。如果已经安装Apache2.4,建议卸载Apache后安装Apache2.2(若只需要php5.2)或linux。耐心等待程序安装完成即可出现php5.2的安装选项。

宝塔linux面板安装php5.2-2.png

点击php-5.2列表的安装,安装方式选择极速安装并提交。

宝塔linux面板安装php5.2-3.png

在左上角,点击提示 1 ,即可看到安装进度

宝塔linux面板安装php5.2-4.png宝塔linux面板安装php5.2-5.png


二、部署织梦cms——怎么安装织梦cms

安装完成后,即可在 软件管理 宝塔插件 中找到宝塔一键部署源码,点击设置,在弹出框中选择建站,找到织梦cms进行一键部署。最新版本的织梦cms是支持php5.2-7.1的。

宝塔linux面板安装php5.2-6.png

对于老版本的织梦cms 可以在网站面板中,添加站点,选择php5.2进行建站。之后上传源码进行建站

宝塔linux面板安装php5.2-7.png


以上便是宝塔面板安装php5.2及部署织梦cms的全部流程。

宝塔面板的linux安装,详见  https://yunzhuji.shop/article/148.html

云主机优惠小铺-阿里云代金券优惠推荐为您推荐

  • 云服务器通用版1核1G

    • CPU1核
    • 内存1G
    • 带宽1M
    • 系统盘40G
    优惠价
    323元/年603元/2年797元/3年
    更多配置及优惠
  • 云服务器通用版2核4G

    • 带宽1M
    • 系统盘40G
    • CPU2核
    • 内存4G
    优惠价
    692元/年1231元/2年1615元/3年
    更多配置及优惠

猜你喜欢

微信QQ空间QQ好友新浪微博联系客服